# 0x1A9A
#
from System.Collections.Generic import List
from System import Byte, Int32
#
FlaxIds = List[int]([ 0x1A9A, 0x1A9B, 0x1A99, 0x0C4F, 0x0C54, 0x0C50, 0x0C52, 0x0C51, 0x0C53] )
findFlax = Items.Filter()
findFlax.Enabled = True
findFlax.OnGround = 1
findFlax.Movable = False
findFlax.RangeMin = -1
findFlax.RangeMax = 16
findFlax.Graphics = FlaxIds
findFlax.CheckIgnoreObject = True
listFlax = Items.ApplyFilter(findFlax)
flax = Items.Select(listFlax, "Nearest")
while flax:
    listFlax.Remove(flax)
    route = PathFinding.Route()
    route.X = flax.Position.X
    route.Y = flax.Position.Y
    route.StopIfStuck = True
    route.MaxRetry = 5
    #Player.PathFindTo(flax.Position.X, flax.Position.Y)
    found = PathFinding.Go(route)
    Misc.SendMessage("Flax at x:{} y:{}".format(route.X, route.Y))
    Items.UseItem(flax)
    Misc.Pause(1000)    
    flax = Items.Select(listFlax, "Nearest")

